### Method

# Gtk ListBoxset_filter_func

#### Declaration [src]

    void
    gtk_list_box_set_filter_func (
      GtkListBox* box,
      GtkListBoxFilterFunc filter_func,
      gpointer user_data,
      GDestroyNotify destroy
    )

#### Description [src]

By setting a filter function on the `box` one can decide dynamically which of the rows to show.

For instance, to implement a search function on a list that filters the original list to only show the matching rows.

The `filter_func` will be called for each row after the call, and it will continue to be called each time a row changes (via `gtk_list_box_row_changed()`) or when `gtk_list_box_invalidate_filter()` is called.

Note that using a filter function is incompatible with using a model (see `gtk_list_box_bind_model()`).

#### Parameters

`filter_func`

  Type: `GtkListBoxFilterFunc`

  Callback that lets you filter which rows to show.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data passed to `filter_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy`

  Type: `GDestroyNotify`

  Destroy notifier for `user_data`.